Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.system
Class TCPIPResourceAdapter

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.jca.system.STCResourceAdapter
              com.stc.connector.tcpip.model.system.TCPIPResourceAdapter

All Implemented Interfaces:
  com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.naming.Referenceable, javax.resource.spi.ResourceAdapter

    public class TCPIPResourceAdapter

extends com.stc.connector.framework.jca.system.STCResourceAdapter
implements javax.resource.spi.ResourceAdapter

A ResourceAdapter contains operations for lifecycle management and message endpoint setup.

Version:
  cvs revision: $Revision: 1.10 $ Last Modified: $Date: 2008/04/23 07:15:30 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.framework.jca.system.STCResourceAdapter
`bootstrapContext, mLog, mManagedMonitors, mMonitorMBean, msgManager, myPackage, wm`

Constructor Summary
`TCPIPResourceAdapter()` Constructor for TCPIPResourceAdapter.

Method Summary
`void` | `endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory, javax.resource.spi.ActivationSpec activationSpec)`
`javax.resource.spi.ActivationSpec` | `getActivationSpec()`
`TCPIPEwayConnection` | `getEwayConnection()`
`javax.resource.spi.ManagedConnectionFactory` | `getManagedConnectionFactory()`
`java.net.ServerSocket` | `getServerSocket()`
`State` | `getState()` Returns the state.
`void` | `setActivationSpec(javax.resource.spi.ActivationSpec aSpec)`
`void` | `setEwayConnection(TCPIPEwayConnection ewayConn)`
`void` | `setManagedConnectionFactory(javax.resource.spi.ManagedConnectionFactory mcf)`
`void` | `setServerSocket(java.net.ServerSocket serverSocket)`
`void` | `setState(State state)` Sets the state.
`void` | `start(javax.resource.spi.BootstrapContext bootstrapContext)`
`void` | `startMonitoringExternalConnection(TCPIPMonitorData tcpipMonitorData)` Start a thread that will periodically monitor the status (up/down) of the external system and update the same by setting an attribute on the MBean
`void` | `stop()`

Methods inherited from class com.stc.connector.framework.jca.system.STCResourceAdapter
`addMonitor, createMBean, endpointDeactivation, getConfigurationInstance, getConfigurationModel, getConfigurationTemplate, getEwayDescription, getEwayName, getEwayResourceAdapterClass, getEwayResourceAdapterMBeanClass, getEwayResourceAdapterMBeanName, getEwayVersion, getMonitor, getRAConfiguration, getSupportedModes, getXAResources, setConfigurationInstance, setConfigurationTemplate, setEwayDescription, setEwayName, setEwayResourceAdapterClass, setEwayResourceAdapterMBeanClass, setEwayResourceAdapterMBeanName, setEwayVersion, setRAConfiguration, setSupportedModes`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ResourceAdapter
`endpointDeactivation, getXAResources`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPResourceAdapter

    public TCPIPResourceAdapter()

  Constructor for TCPIPResourceAdapter.

Method Detail

### start

    public void start(javax.resource.spi.BootstrapContext bootstrapContext)
               throws javax.resource.spi.ResourceAdapterInternalException

  Specified by:
    `start` in interface `javax.resource.spi.ResourceAdapter`
  Overrides:
    `start` in class `com.stc.connector.framework.jca.system.STCResourceAdapter`
  Throws:
    `javax.resource.spi.ResourceAdapterInternalException`
  See Also:
    `ResourceAdapter.start(javax.resource.spi.BootstrapContext)`

### stop

    public void stop()

  Specified by:
    `stop` in interface `javax.resource.spi.ResourceAdapter`
  Overrides:
    `stop` in class `com.stc.connector.framework.jca.system.STCResourceAdapter`
  See Also:
    `ResourceAdapter.stop()`

### endpointActivation

    public void endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory,
                                   javax.resource.spi.ActivationSpec activationSpec)
                            throws javax.resource.ResourceException

  Specified by:
    `endpointActivation` in interface `javax.resource.spi.ResourceAdapter`
  Overrides:
    `endpointActivation` in class `com.stc.connector.framework.jca.system.STCResourceAdapter`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `ResourceAdapter.endpointActivation(MessageEndpointFactory, ActivationSpec)`

### getState

    public State getState()

  Returns the state.

  Returns:
    State

### setState

    public void setState(State state)

  Sets the state.

  Parameters:
    `state` - The state to set

### getServerSocket

    public java.net.ServerSocket getServerSocket()

  Returns:
    ServerSocket

### setServerSocket

    public void setServerSocket(java.net.ServerSocket serverSocket)

  Parameters:
    `serverSocket` - the ServerSocket to set

### getActivationSpec

    public javax.resource.spi.ActivationSpec getActivationSpec()

  Returns:
    ActivationSpec

### getManagedConnectionFactory

    public javax.resource.spi.ManagedConnectionFactory getManagedConnectionFactory()

  Returns:
    ManagedConnectionFactory

### setActivationSpec

    public void setActivationSpec(javax.resource.spi.ActivationSpec aSpec)

  Parameters:
    `aSpec` - the value to set

### setManagedConnectionFactory

    public void setManagedConnectionFactory(javax.resource.spi.ManagedConnectionFactory mcf)

  Parameters:
    `mcf` - the value to set

### getEwayConnection

    public TCPIPEwayConnection getEwayConnection()

  Returns:
    TCPIPEwayConnection

### setEwayConnection

    public void setEwayConnection(TCPIPEwayConnection ewayConn)

  Parameters:
    `ewayConn` - the value to set

### startMonitoringExternalConnection

    public void startMonitoringExternalConnection(TCPIPMonitorData tcpipMonitorData)

  Start a thread that will periodically monitor the status (up/down) of the external system and update the same by setting an attribute on the MBean

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD